import sys
import os
import atexit
import psutil
import subprocess

from lcd2usb import LCD
from subprocess import *
from time import sleep, strftime
from datetime import datetime


# ===========================================================================
# Clock Example
# ===========================================================================
lcd = LCD()

cmd = "ip addr show eth0 | grep inet | awk '{print $2}' | cut -d/ -f1"

print "Press CTRL+Z to exit"

def run_cmd(cmd):
    p = Popen(cmd, shell=True, stdout=PIPE)
    output = p.communicate()[0]
    return output
 
while(True):
    key1,key2 = lcd.keys
    lcd.clear()
    if key1 and 'on' :# key1=='on':
        print 'Key1: ON'	
	lcd.clear()
	lcd.goto(0,0)
	s = subprocess.check_output(["/opt/vc/bin/vcgencmd","measure_temp"])
        s = s.split('=')[1][:-3]
        lcd.write("Cpu Temp=" + s + "C")
    	lcd.goto(0,1)
	lcd.write("Cpu Usage: " + str(psutil.cpu_percent(1)) + "%")
        sleep(2)
    elif key2 and 'on':
        print 'Key2: ON'
	phymem = psutil.phymem_usage()
	buffers = getattr(psutil, 'phymem_buffers', lambda: 0)()	
	cached = getattr(psutil, 'cached_phymem', lambda: 0)()	
	used = phymem.total - (phymem.free + buffers + cached)
        lcd.clear()
        lcd.goto(0,0)
        lcd.write("Mem Usage: " + str(phymem.percent) + "%" )
        lcd.goto(0,1)
        lcd.write("Mem: " + str(int(used / 1024 / 1024)) + "M/" +str(int(phymem.total / 1024 / 1024)) + "M")
        sleep(2)
    else :
	lcd.clear()
    	ipaddr = run_cmd(cmd)
    	lcd.goto(0,0)
    	lcd.write(datetime.now().strftime('%b %d  %H:%M:%S\n'))
    	lcd.goto(0,1)
    	lcd.write('IP %s' % (ipaddr))
	sleep(1)
    #sleep(2)
